Bug 1020563 - ipa-server-install should not change /etc/ntp.conf by default.
ipa-server-install should not change /etc/ntp.conf by default.
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
All Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: IPA Maintainers
Namita Soman
:
: 1039005 (view as bug list)
Depends On:
Blocks: 1203710
  Show dependency treegraph
 
Reported: 2013-10-17 19:47 EDT by Arpit Tolani
Modified: 2017-07-31 15:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
The ipa-server-install and ipa-replica-install commands replace the list of NTP servers in the /etc/ntp.conf file with Red Hat Enterprise Linux default servers. As a consequence, NTP servers configured before installing IPA are not contacted, and servers from rhel.pool.ntp.org are contacted instead. If those default servers are unreachable, the IPA server does not synchronize its time via NTP. To work around this problem, add any custom NTP servers to /etc/ntp.conf, and remove the default Red Hat Enterprise Linux servers if required. The configured servers are now used for time synchronization after restarting the NTP service by running the systemctl restart ntpd.service command.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arpit Tolani 2013-10-17 19:47:55 EDT
Description of problem:
When ipa-server-install or ipa-replica-install or ipa-client-install is run, it changes ntp.conf and add Red Hat NTP pool servers & remove existing servers.

Version-Release number of selected component (if applicable):

ipa-server-3.0.0


How reproducible:

100%


Steps to Reproduce:

Setup /etc/ntp.conf
Install ipa-server-install 


Actual results:

It will change existing values of /etc/ntp.conf


Expected results:

It should by default run as no ntp or should not change the value of existing servers, Just add below required parameter in ntp.conf

fudge 127.127.1.0

Additional info:


The change that the ipa-server-install forces is to point towards redhat's NTP servers, but that is a "default out of the box configuration" any way on any RHEL box. Why force that change on that manage their own NTP? And those that don't manage their own NTP, well they would already be pointing to RHEL NTP pool.
Comment 2 Rob Crittenden 2013-10-17 20:33:17 EDT
Is the -N/--no-ntp flag to ipa-server-install not adequate?
Comment 5 Martin Kosek 2013-10-25 05:24:19 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/4001
Comment 7 Martin Kosek 2013-12-06 07:10:17 EST
*** Bug 1039005 has been marked as a duplicate of this bug. ***
Comment 8 Martin Kosek 2014-01-23 07:49:43 EST
The ticket was triaged by the upstream and scheduled to later milestone. It is thus unlikely that the request will be finished in near future or in RHEL-6.x release. I am moving this Bugzilla to RHEL-7 product to narrow the expectations.

Note You need to log in before you can comment on or make changes to this bug.